<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSLFRelation (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSLFRelation (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSLFRelation.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFPlaceholderDetails.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/XSLFRelation.html" target="_top">Frames</a>
        </li>
        <li><a href="XSLFRelation.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xslf.usermodel</div>
    <h2 title="Class XSLFRelation" class="title">Class XSLFRelation</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLRelation</a></li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.xslf.usermodel.XSLFRelation</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Beta.html" title="annotation in org.apache.poi.util">@Beta</a>
public final class <span class="typeNameLabel">XSLFRelation</span>
extends <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html" title="class in org.apache.poi.ooxml">POIXMLRelation</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#CHART">CHART</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#COMMENT_AUTHORS">COMMENT_AUTHORS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#COMMENTS">COMMENTS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#HYPERLINK">HYPERLINK</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGE_BMP">IMAGE_BMP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGE_DIB">IMAGE_DIB</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGE_EMF">IMAGE_EMF</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGE_EPS">IMAGE_EPS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGE_GIF">IMAGE_GIF</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGE_JPEG">IMAGE_JPEG</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGE_PICT">IMAGE_PICT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGE_PNG">IMAGE_PNG</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGE_TIFF">IMAGE_TIFF</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGE_WDP">IMAGE_WDP</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGE_WMF">IMAGE_WMF</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGE_WPG">IMAGE_WPG</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#IMAGES">IMAGES</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#MACRO">MACRO</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#MACRO_TEMPLATE">MACRO_TEMPLATE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#MAIN">MAIN</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#NOTES">NOTES</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#NOTES_MASTER">NOTES_MASTER</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#OLE_OBJECT">OLE_OBJECT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#PRESENTATION_MACRO">PRESENTATION_MACRO</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#PRESENTATIONML">PRESENTATIONML</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#PRESENTATIONML_TEMPLATE">PRESENTATIONML_TEMPLATE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#SLIDE">SLIDE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#SLIDE_LAYOUT">SLIDE_LAYOUT</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#SLIDE_MASTER">SLIDE_MASTER</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#TABLE_STYLES">TABLE_STYLES</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#THEME">THEME</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#THEME_MANAGER">THEME_MANAGER</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#VML_DRAWING">VML_DRAWING</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#WORKBOOK">WORKBOOK</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html#getInstance-java.lang.String-">getInstance</a></span>(java.lang.String&nbsp;rel)</code>
                                    <div class="block">Get POIXMLRelation by relation type</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLRelation">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                        title="class in org.apache.poi.ooxml">POIXMLRelation</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getContents-org.apache.poi.openxml4j.opc.PackagePart-">getContents</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getContentType--">getContentType</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getDefaultFileName--">getDefaultFileName</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getFileName-int-">getFileName</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getFileNameIndex-org.apache.poi.ooxml.POIXMLDocumentPart-">getFileNameIndex</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getRelation--">getRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html#getRelationClass--">getRelationClass</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="MAIN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MAIN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> MAIN</pre>
                            </li>
                        </ul>
                        <a name="MACRO">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MACRO</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> MACRO</pre>
                            </li>
                        </ul>
                        <a name="MACRO_TEMPLATE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MACRO_TEMPLATE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> MACRO_TEMPLATE</pre>
                            </li>
                        </ul>
                        <a name="PRESENTATIONML">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PRESENTATIONML</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> PRESENTATIONML</pre>
                            </li>
                        </ul>
                        <a name="PRESENTATIONML_TEMPLATE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PRESENTATIONML_TEMPLATE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> PRESENTATIONML_TEMPLATE</pre>
                            </li>
                        </ul>
                        <a name="PRESENTATION_MACRO">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PRESENTATION_MACRO</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> PRESENTATION_MACRO</pre>
                            </li>
                        </ul>
                        <a name="THEME_MANAGER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THEME_MANAGER</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> THEME_MANAGER</pre>
                            </li>
                        </ul>
                        <a name="NOTES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NOTES</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> NOTES</pre>
                            </li>
                        </ul>
                        <a name="SLIDE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SLIDE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> SLIDE</pre>
                            </li>
                        </ul>
                        <a name="SLIDE_LAYOUT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SLIDE_LAYOUT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> SLIDE_LAYOUT</pre>
                            </li>
                        </ul>
                        <a name="SLIDE_MASTER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SLIDE_MASTER</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> SLIDE_MASTER</pre>
                            </li>
                        </ul>
                        <a name="NOTES_MASTER">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NOTES_MASTER</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> NOTES_MASTER</pre>
                            </li>
                        </ul>
                        <a name="COMMENTS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>COMMENTS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> COMMENTS</pre>
                            </li>
                        </ul>
                        <a name="COMMENT_AUTHORS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>COMMENT_AUTHORS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> COMMENT_AUTHORS</pre>
                            </li>
                        </ul>
                        <a name="HYPERLINK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>HYPERLINK</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> HYPERLINK</pre>
                            </li>
                        </ul>
                        <a name="THEME">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THEME</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> THEME</pre>
                            </li>
                        </ul>
                        <a name="VML_DRAWING">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>VML_DRAWING</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> VML_DRAWING</pre>
                            </li>
                        </ul>
                        <a name="WORKBOOK">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>WORKBOOK</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> WORKBOOK</pre>
                            </li>
                        </ul>
                        <a name="CHART">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CHART</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> CHART</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_EMF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_EMF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGE_EMF</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_WMF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_WMF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGE_WMF</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_PICT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_PICT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGE_PICT</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_JPEG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_JPEG</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGE_JPEG</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_PNG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_PNG</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGE_PNG</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_DIB">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_DIB</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGE_DIB</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_GIF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_GIF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGE_GIF</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_TIFF">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_TIFF</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGE_TIFF</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_EPS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_EPS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGE_EPS</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_BMP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_BMP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGE_BMP</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_WPG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_WPG</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGE_WPG</pre>
                            </li>
                        </ul>
                        <a name="IMAGE_WDP">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGE_WDP</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGE_WDP</pre>
                            </li>
                        </ul>
                        <a name="IMAGES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>IMAGES</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> IMAGES</pre>
                            </li>
                        </ul>
                        <a name="TABLE_STYLES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TABLE_STYLES</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> TABLE_STYLES</pre>
                            </li>
                        </ul>
                        <a name="OLE_OBJECT">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>OLE_OBJECT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a> OLE_OBJECT</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getInstance-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getInstance</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/xslf/usermodel/XSLFRelation.html"
                                        title="class in org.apache.poi.xslf.usermodel">XSLFRelation</a>&nbsp;getInstance(java.lang.String&nbsp;rel)</pre>
                                <div class="block">Get POIXMLRelation by relation type</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rel</code> - relation type, for example,
                                        <code>http://schemas.openxmlformats.org/officeDocument/2006/relationships/image</code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>registered POIXMLRelation or null if not found</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSLFRelation.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFPlaceholderDetails.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xslf/usermodel/XSLFShadow.html"
               title="class in org.apache.poi.xslf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/XSLFRelation.html" target="_top">Frames</a>
        </li>
        <li><a href="XSLFRelation.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
